package com.roshka.repositorio;

import com.roshka.modelo.Birthday;
import com.roshka.modelo.Feriado;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.Date;
import java.util.List;

public interface FeriadoRepository extends JpaRepository<Feriado,Long> {

    List<Feriado> findAllByFecha(Date publicationDate);

    public Page<Feriado> findByMotivoFeriadoContainingIgnoreCase(String nombre, Pageable pageable);

    public boolean existsByMotivoFeriadoIgnoreCase(String nombre);


    @Query(value = "SELECT * FROM feriados", nativeQuery = true)
    public Page<Feriado> findAllFeriado(Pageable pageable);
}
